import requests
import json
import datetime
from odps import ODPS

# ODPS服务配置
ODPS_CONFIG = {
    'ENDPOINT': 'http://service.cn.maxcompute.aliyun.com/api',
    'ACCESSID': 'LTAIWYUujJAm7CbH',
    'ACCESSKEY': 'RfSjdiWwED1sGFlsjXv0DlfTnZTG1P',
}
class OdpsDataCount:
    @classmethod
    def get_data_count(cls, sql):
        odps = ODPS(
            access_id=ODPS_CONFIG['ACCESSID'],
            secret_access_key=ODPS_CONFIG['ACCESSKEY'],
            project='loghubods',
            endpoint=ODPS_CONFIG['ENDPOINT']
        )
        data_values = []
        try:
            with odps.execute_sql(sql).open_reader() as reader:
                for row in reader:
                    data_values.append(json.dumps( {"video_id": row[0]}, ensure_ascii=False ))
        except Exception as e:
            print(f"An error occurred: {e}")
            return data_values
        return data_values

    @classmethod
    def main(cls, sql):
        data_count = cls.get_data_count(sql=sql)
        print(len(data_count))
        return data_count

if __name__ == '__main__':
    OdpsDataCount.main()